QGIS Application - Bug report #18576
dwg import fails if filename contains special characters and spaces
2018-03-29 02:47 PM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: DWG/DXF import

Affected QGIS version:2.18.17 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26464
Description

Confirmed in QGIS 2.18.17 on windows

Related issues:
Duplicates QGIS Application - Bug report # 15997: import from files with non-... Closed

2016-12-21

Associated revisions

Revision 4945e97f - 2018-08-02 05:54 PM - Jiirgen Fischer

dwg import: handle filenames with utf8 characters

Revision dd5ed688 - 2018-08-02 06:01 PM - Jiirgen Fischer

dwg import: handle filenames with utf8 characters

(cherry picked from commit 4945e97f248f7542c884c34b9bb5ba1dd3e4623c)

Revision 06aff729 - 2018-08-02 06:15 PM - Jiirgen Fischer

dwg import: handle filenames with utf8 characters

(cherry picked from commit dd5ed68818380dfb6590677d968ec0e17c3f39¢c0)

History

#1 - 2018-08-07 09:34 AM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:06aff729b, commit:dd5ed6881 and commit:4945e972

#2 - 2019-01-29 02:25 PM - Jiirgen Fischer

- Duplicates Bug report #15997: import from files with non-ascii characters added

2025-04-27
